- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Friends | List of all members
pdftron::Layout::TextRun Class Reference

`#include <ContentTree.h>`

Inheritance diagram for pdftron::Layout::TextRun:

## Public Member Functions
| ~TextRun ()
void | Destroy ()
void | SetText (const UString &text)
UString | GetText ()
Public Member Functions inherited from pdftron::Layout::ContentElement
| ~ContentElement ()
void | Destroy ()
ElementRef< List > | AsList () const
ElementRef< ListItem > | AsListItem () const
ElementRef< ContentNode > | AsContentNode () const
ElementRef< TextRun > | AsTextRun () const
ElementRef< Paragraph > | AsParagraph () const
ElementRef< Table > | AsTable () const
ElementRef< TableRow > | AsTableRow () const
ElementRef< TableCell > | AsTableCell () const
TextStyledElement | GetTextStyledElement ()

## Friends
class | Paragraph
class | ElementRef< TextRun >

## Additional Inherited Members
Public Attributes inherited from pdftron::Layout::ContentElement
TRN_ContentElement | m_impl
Protected Member Functions inherited from pdftron::Layout::ContentElement
| ContentElement (TRN_ContentElement impl)

## Detailed Description

A TextRun is a content element that represents a single run of text. A paragraph can contain multiple TextRun objects.

Definition at line 301 of file ContentTree.h.

## Constructor & Destructor Documentation

pdftron::Layout::TextRun::~TextRun | ( |  | ) |

## Member Function Documentation

void pdftron::Layout::TextRun::Destroy | ( |  | ) |

UString pdftron::Layout::TextRun::GetText | ( |  | ) |

Get the text content of the TextRun object

Returns
  The text content

void pdftron::Layout::TextRun::SetText | ( | const UString & | text | ) |

Set the text content of the TextRun object

Parameters

  text | The text content to set

## Friends And Related Function Documentation

friend class ElementRef< TextRun >
| friend

Definition at line 304 of file ContentTree.h.

friend class Paragraph
| friend

Definition at line 303 of file ContentTree.h.

The documentation for this class was generated from the following file:

- Layout/ContentTree.h